[Home](../README.md)

# REFERENCE

[Global](#global) | [Gui](#gui) | [GuiObject](#guiobject) | [GuiButton](#guibutton) | [GuiToggle](#guitoggle) | [GuiSlider](#guislider) | [GuiCrossfader](#guicrossfader) | [GuiSlider2d](#guislider2d) | [GuiJoystick](#guijoystick)

-----

## [Global](Global.md)

**[createGui()](Global.md#creategui)**

**[drawGui()](Global.md#drawgui)**

**[createButton()](Global.md#createbutton)**

**[createToggle()](Global.md#createtoggle)**

**[createCheckbox()](Global.md#createcheckbox)**

**[createSlider()](Global.md#createslider)**

**[createSliderV()](Global.md#createsliderv)**

**[createCrossfader()](Global.md#createcrossfader)**

**[createCrossfaderV()](Global.md#createcrossfaderv)**

**[createSlider2d()](Global.md#createslider2d)**

**[createJoystick()](Global.md#createjoystick)**

-----

## [Gui](Gui.md)
[[Back to top]](#reference)

#### [Variables](Gui.md#variables)
* [objects[]](Gui.md#objects)
* [style](Gui.md#style)

#### [Functions](Gui.md#functions)
* [get()](Gui.md#get)
* [loadStyle()](Gui.md#loadstyle)
* [updateStyle()](Gui.md#updatestyle)
* [setStrokeWeight()](Gui.md#setstrokeweight)
* [setRounding()](Gui.md#setrounding)
* [setFont()](Gui.md#setfont)
* [setTextSize()](Gui.md#settextsize)
* [setTrackWidth()](Gui.md#settrackwidth)

#### [Style](Gui.md##Style)

-----

## [GuiObject](GuiObject.md)
[[Back to top]](#reference)

#### [Variables](GuiObject.md##Variables)
* [val](GuiObject.md#val)
* [label](GuiObject.md#label)
* [x](GuiObject.md#x)
* [y](GuiObject.md#y)
* [w](GuiObject.md#w)
* [h](GuiObject.md#h)
* [mode](GuiObject.md#mode)
* [isPressed](GuiObject.md#ispressed)
* [isHeld](GuiObject.md#isheld)
* [isReleased](GuiObject.md#isreleased)
* [isChanged](GuiObject.md#ischanged)
* [onPress](GuiObject.md#onpress)
* [onHold](GuiObject.md#onhold)
* [onRelease](GuiObject.md#onrelease)
* [onChange](GuiObject.md#onchange)
* [enabled](GuiObject.md#enabled)
* [visible](GuiObject.md#visible)

#### [Functions](GuiObject.md#functions)
* [setStyle()](GuiObject.md#setstyle)
* [draw()](GuiObject.md#draw)

#### [Style](GuiObject.md#style)

-----

## [GuiButton](GuiButton.md)
[[Back to top]](#reference)

#### [Variables](GuiButton.md#variables)
* [val](GuiButton.md#val)
* [label](GuiButton.md#label)
* [labelOn](GuiButton.md#labelon)
* [labelOff](GuiButton.md#labeloff)

#### [Functions](GuiButton.md#functions)
* [setStyle()](GuiButton.md#setstyle)

#### [Style](GuiButton.md#style)

-----

## [GuiToggle](GuiToggle.md)
[[Back to top]](#reference)

#### [Variables](GuiToggle.md#variables)
* [val](GuiToggle.md#val)
* [label](GuiToggle.md#label)
* [labelOn](GuiToggle.md#labelon)
* [labelOff](GuiToggle.md#labeloff)

#### [Functions](GuiToggle.md#functions)
* [setStyle()](GuiToggle.md#setstyle)

#### [Style](GuiToggle.md#style)

-----

## [GuiChecbox](GuiCheckbox.md)
[[Back to top]](#reference)

#### [Variables](GuiCheckbox.md#variables)
* [val](GuiCheckbox.md#val)

#### [Functions](GuiCheckbox.md#functions)
* [setStyle()](GuiCheckbox.md#setstyle)

#### [Style](GuiCheckbox.md##Style)

-----

## [GuiSlider / GuiSliderV](GuiSlider.md)
[[Back to top]](#reference)

#### [Variables](GuiSlider.md#variables)
* [val](GuiSlider.md#val)
* [min](GuiSlider.md#min)
* [max](GuiSlider.md#max)
* [isInteger](GuiSlider.md#isinteger)

#### [Functions](GuiSlider.md#functions)
* [setStyle()](GuiSlider.md#setstyle)

#### [Style](GuiSlider.md#style)

-----

## [GuiCrossfader / GuiCrossfaderV](GuiCrossfader.md)
[[Back to top]](#reference)

#### [Variables](GuiCrossfader.md#variables)
* [val](GuiCrossfader.md#val)
* [min](GuiCrossfader.md#min)
* [max](GuiCrossfader.md#max)
* [isInteger](GuiCrossfader.md#isinteger)

#### [Functions](GuiCrossfader.md#functions)
* [setStyle()](GuiCrossfader.md#setstyle)

#### [Style](GuiCrossfader.md#style)

-----

## [GuiSlider2d](GuiSlider2d.md)
[[Back to top]](#reference)

#### [Variables](GuiSlider2d.md#variables)
* [val](GuiSlider2d.md#val)
* [valX](GuiSlider2d.md#valx)
* [valY](GuiSlider2d.md#valy)
* [minX](GuiSlider2d.md#minx)
* [maxX](GuiSlider2d.md#maxx)
* [minY](GuiSlider2d.md#miny)
* [maxY](GuiSlider2d.md#maxy)
* [isInteger](GuiSlider2d.md#isinteger)

#### [Functions](GuiSlider2d.md#functions)
* [setStyle()](GuiSlider2d.md#setstyle)

#### [Style](GuiSlider2d.md#style)

-----

## [GuiJoystick](GuiJoystick.md)
[[Back to top]](#reference)

#### [Variables](GuiJoystick.md#variables)
* [val](GuiJoystick.md#val)
* [valX](GuiJoystick.md#valx)
* [valY](GuiJoystick.md#valy)
* [minX](GuiJoystick.md#minx)
* [maxX](GuiJoystick.md#maxx)
* [minY](GuiJoystick.md#miny)
* [maxY](GuiJoystick.md#maxy)

#### [Functions](GuiJoystick.md#functions)
* [setStyle()](GuiJoystick.md#setstyle)

#### [Style](GuiJoystick.md#style)